be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDORTHONAVCOMvalues

- java.lang.Object
- - java.lang.Enum<CDORTHONAVCOMvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDORTHONAVCOMvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDORTHONAVCOMvalues>

      public enum CDORTHONAVCOMvalues
      extends Enum<CDORTHONAVCOMvalues>

  Java class for CD-ORTHO-NAVCOMvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ORTHO-NAVCOMvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="navigationcomputerglobal"/>
           <enumeration value="navigationcomputerstem"/>
           <enumeration value="navigationcomputercup"/>
           <enumeration value="none"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NAVIGATIONCOMPUTERCUP`
    `NAVIGATIONCOMPUTERGLOBAL`
    `NAVIGATIONCOMPUTERSTEM`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDORTHONAVCOMvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDORTHONAVCOMvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDORTHONAVCOMvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAVIGATIONCOMPUTERGLOBAL

          public static final CDORTHONAVCOMvalues NAVIGATIONCOMPUTERGLOBAL

    - #### NAVIGATIONCOMPUTERSTEM

          public static final CDORTHONAVCOMvalues NAVIGATIONCOMPUTERSTEM

    - #### NAVIGATIONCOMPUTERCUP

          public static final CDORTHONAVCOMvalues NAVIGATIONCOMPUTERCUP

    - #### NONE

          public static final CDORTHONAVCOMvalues NONE

  - ### Method Detail

    - #### values

          public static CDORTHONAVCOMvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDORTHONAVCOMvalues c : CDORTHONAVCOMvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDORTHONAVCOMvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDORTHONAVCOMvalues fromValue(String v)

Connector Packaging PERSPODOLOGIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.